<div class="modal fade right pdfView" id="individual-car-inspection-viewer" tabindex="-1" role="dialog">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" id="modal-close" data-dismiss="modal" (click)="resetValues()"><span aria-hidden="true">&times;</span></button>
        <!--<h3 class="modal-title"></h3>-->
      </div>
      <div class="modal-body">
        <div class="body-inner-container">
          <span><app-car-plate-details [carDetails]="individualComponentDetails" [resetComponetValue]="resetComponetValue" [randomNumberToSetData]="randomNumberToSetData"></app-car-plate-details></span>
          <span *ngIf="showEngineDiagnosticDetails"><app-engine-diagnostic-details [engineDiagnosticDetails]="individualComponentDetails" [resetComponetValue]="resetComponetValue"></app-engine-diagnostic-details></span>
          <span *ngIf="showUvisDetails"><app-uvis-details [uvisDetails]="individualComponentDetails" [resetComponetValue]="resetComponetValue"></app-uvis-details></span>
          <span *ngIf="showAvddsDetails"><app-avdds-details [avddsDetails]="individualComponentDetails" [resetComponetValue]="resetComponetValue"></app-avdds-details></span>
          <span *ngIf="showDriverFeedback"><app-driver-feedback [driverFeedback]="individualComponentDetails" [resetComponetValue]="resetComponetValue" [randomNumberToSetData]="randomNumberToSetData"></app-driver-feedback></span>
        </div>
      </div>
    </div>
  </div>
</div>
